module.exports = function(grunt){
grunt.initConfig({
  zhIdGenerator: {
    options: {
      jsonPath: ['../'],
      menuPath: ["../menu.json"],
      replaceIds: false
    }
  },
  buildEnvironment: {
    dev: {
      configFile: "../backend/parameters/devEnvironment.json"
    },
    prod: {
      configFile: "../backend/parameters/prodEnvironment.json"
    },
    test: {
      configFile: "../backend/parameters/testEnvironment.json"
    },
      srcFolders: ["../backend/config/", "./src/config/"]
  }
});

  grunt.loadNpmTasks('grunt-zh-environment-builder');

  grunt.loadNpmTasks('grunt-zh-id-generator');

  grunt.registerTask('default', ['zhIdGenerator', 'buildEnvironment']);
};
