<?php
namespace FM\Factory;

use Doctrine\ORM\EntityManager;

class EscoposTarefaFactory {

    protected $connection;

    public function __construct(EntityManager $entityManager) {
      $this->connection = $entityManager->getConnection();
    }

    public function SaveEscopoServico($values) {
      $sql = "INSERT INTO FCM_ESCOPOSTAREFA (NRESCOPOSTAREFA, NMESCOPOSTAREFA, IDATIVO, NRORG, 
                                              DTINCLUSAO, CDOPERINCLUSAO, NRORGINCLUSAO, DTULTATU, 
                                              CDOPERULTATU, NRORGULTATU)
              VALUES (:NRESCOPOSTAREFA, :NMESCOPOSTAREFA, 'S' , :NRORG, SYSDATE, :CDOPERINCLUSAO,
                                :NRORGINCLUSAO, SYSDATE, :CDOPERULTATU, :NRORGULTATU)";

      $std = $this->connection->prepare($sql);
      $std->execute($values);
    }

    public function getEscopoServico() {
      $sql = "SELECT NRESCOPOSTAREFA, NMESCOPOSTAREFA
                FROM FCM_ESCOPOSTAREFA
            ORDER BY NMESCOPOSTAREFA";

      $std = $this->connection->prepare($sql);
      $std->execute();
      return $std->fetchAll();
    }
}