<?php

namespace FM\Factory;

use Doctrine\ORM\EntityManager;

class TagFactory {
    protected $connection;

    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }

    public function getTags($param) {
        $sql = "SELECT DISTINCT NRESCOPOSTAREFA, NMESCOPOSTAREFA
                  FROM FCM_ESCOPOSTAREFA
                 WHERE NRESCOPOSTAREFA IN (SELECT FCM_TAGSTAREFA.NRESCOPOSTAREFA
                                             FROM FCM_TAGSTAREFA
                                             JOIN FCM_TAREFA
                                               ON FCM_TAGSTAREFA.NRTAREFA = FCM_TAREFA.NRTAREFA
                                             JOIN FCM_ATIVIDADE
                                               ON FCM_TAREFA.NRATIVIDADE = FCM_ATIVIDADE.NRATIVIDADE
                                             JOIN FCM_ATIVIDADECHK
                                               ON FCM_ATIVIDADE.NRATIVIDADE = FCM_ATIVIDADECHK.NRATIVIDADE
                                            WHERE FCM_ATIVIDADECHK.NRATIVIDADECHK IN (".$param."))";
        
        $std = $this->connection->prepare($sql);
        $std->execute();
        return $std->fetchAll();
    } 
}

?>