<?php

namespace FM\Factory;

use Doctrine\ORM\EntityManager;

class TaskFactory {
    protected $connection;

    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }

    public function getTarefaByTags($nrs) {
        $sql = "SELECT FCM_TAREFA.NMTAREFA, FCM_TAREFACHK.NRTAREFACHK
                  FROM FCM_TAREFA
                  JOIN FCM_TAREFACHK
                    ON FCM_TAREFA.NRTAREFA = FCM_TAREFACHK.NRTAREFA
                  JOIN FCM_TAGSCHKTAREFA
                    ON FCM_TAREFACHK.NRTAREFACHK = FCM_TAGSCHKTAREFA.NRTAREFACHK
                  JOIN FCM_TAGSTAREFA
                    ON FCM_TAGSTAREFA.NRTAGSTAREFA = FCM_TAGSCHKTAREFA.NRTAGSTAREFA
                 WHERE FCM_TAGSTAREFA.NRTAGSTAREFA IN (SELECT FCM_TAGSTAREFA.NRTAGSTAREFA
                                                         FROM FCM_TAGSTAREFA
                                                         JOIN FCM_TAREFA
                                                           ON FCM_TAGSTAREFA.NRTAREFA = FCM_TAREFA.NRTAREFA
                                                         JOIN FCM_ATIVIDADE
                                                           ON FCM_TAREFA.NRATIVIDADE = FCM_ATIVIDADE.NRATIVIDADE
                                                         JOIN FCM_ATIVIDADECHK
                                                           ON FCM_ATIVIDADE.NRATIVIDADE = FCM_ATIVIDADECHK.NRATIVIDADE
                                                        WHERE FCM_ATIVIDADECHK.NRATIVIDADECHK IN (".$nrs['NRA'].")
                                                          AND FCM_TAGSTAREFA.NRESCOPOSTAREFA IN (".$nrs['NRE']."))";
        
        $std = $this->connection->prepare($sql);
        $std->execute();
        return $std->fetchAll();
    } 
}

?>